/**************************************************************************
 * Adept REXX Menu Structure -  Written by Eddy Matthews  -  InfoSoft BBS *
 *                          FidoNET 2:256/651.0                           *
 **************************************************************************/

Arg LINE

/* Begin TOP Menu */
Call TodaysCallers


Sec1=AdeptGetVar(LINE, 40)  /* Gets the users Sec1 */

SELECT
      WHEN Sec1=5
        THEN DO
               AdeptShow(LINE,1,2,HELPSCRN.ASC,X) /* Shows Help Screen */
        END
      WHEN Sec1=10
        THEN DO
               AdeptShow(LINE,1,2,SEC10.ASC,S)  /* Shows the Please Register Msg */
                                                /* The 2 is a flag that converts */
                                                /* META commands in the files.   */
                                                /* It is not yet in the DOCS.    */
               AdeptSleep(LINE, 750)
               AdeptPrint(LINE, "{FG5 ")
               AdeptSleep(LINE, 750)
               AdeptPrint(LINE, "{FC4 ")
               AdeptSleep(LINE, 750)
               AdeptPrint(LINE, "{F43 ")
               AdeptSleep(LINE, 750)
               AdeptPrint(LINE, "{FA2 ")
               AdeptSleep(LINE, 750)
               AdeptPrint(LINE, "{F21 ")
               AdeptPrint(LINE, "{PC")
             END
      WHEN Sec1=50
        THEN AdeptShow(LINE,1,2,VSYSOP.ASC,sS)  /* Shows visiting sysop screen */
      OTHERWISE
END


AdeptShow(LINE,1,2,WHATSNEW.ASC,sS)

CALL MainMenu
/* End TOP Menu */

/***************************************************************************/

/* Begin MAIN Menu */
MainMenu:
Key=AdeptShow(LINE,1,2,MAINMENU.ASC,fmbplyg)
SELECT
        WHEN Key=1
          THEN CALL FileRoom

        WHEN Key=2
          THEN CALL MailRoom

        WHEN Key=3
          THEN CALL Bulletin

        WHEN Key=4
          THEN AdeptMenuType(LINE, 48, "")

        WHEN Key=5
          THEN DO
                 AdeptMessage(LINE, 3, 1, "")
                 AdeptWrite(LINE, 1, 3, "")
               END

        WHEN Key=6
          THEN CALL YourSettings

        WHEN Key=7
          THEN CALL LogOff

        WHEN Key=8
          THEN CALL FastBye

        OTHERWISE
END

AdeptSleep(LINE, 32)
Key=AdeptWaitKey(LINE)

SELECT
        WHEN (Key=70) | (Key=102)               /* =F or f */
          THEN CALL FileRoom

        WHEN (Key=77) | (Key=109)               /* =M or m */
          THEN CALL MailRoom

        WHEN (Key=66) | (Key=98)                /* =B or b */
          THEN CALL Bulletin

        WHEN (Key=80) | (Key=112)               /* =P or p */
          THEN AdeptMenuType(LINE, 48, "")      /* Page Sysop */

        WHEN (Key=76) | (Key=108)               /* =L or l */
          THEN DO
                 AdeptMessage(LINE, 3, 1, "")   /* Go to msg area 1 */
                 AdeptWrite(LINE, 1, 3, "")     /* Start the editor */
               END

        WHEN (Key=89) | (Key=121)               /* =Y or y */
          THEN CALL YourSettings

        WHEN (Key=84) | (Key=116)               /* =T or t */
          THEN DO
                 AdeptShow(LINE,1,2,CALLERS.ASC,X)
                 AdeptHitReturn(LINE)
               END

        WHEN (Key=63)                           /* =? */
          THEN AdeptShow(LINE,1,2,HELPSCRN.ASC,sS)

        WHEN (Key=71) | (Key=103)               /* =G or g */
          THEN CALL LogOff

        WHEN Key=95
          THEN CALL FastBye                     /* Fast Logoff */

        OTHERWISE
          CALL NOTACMD
END

CALL MainMenu
/* End MAIN Menu */

/***************************************************************************/

/* Begin FILE Menu */
FileRoom:

AdeptCls(LINE)
Key=AdeptShow(LINE,1,2,FILEROOM.ASC,plsnvdue)

SELECT
        WHEN Key=1
          THEN AdeptMenuType(LINE, 61, "")

        WHEN Key=2
          THEN AdeptMenuType(LINE, 70, "")

        WHEN Key=3
          THEN AdeptMenuType(LINE, 71, "")

        WHEN Key=4
          THEN AdeptMenuType(LINE, 73, "")

        WHEN Key=5
          THEN AdeptMenuType(LINE, 80, "")

        WHEN Key=6
          THEN AdeptMenuType(LINE, 85, "")

        WHEN Key=7
          THEN AdeptMenuType(LINE, 90, "")

        WHEN Key=8
          THEN AdeptMenuType(LINE, 670, "")

        WHEN Key=9
          THEN CALL MailRoom

        WHEN Key=10
          THEN CALL MainMenu

        OTHERWISE
END

AdeptSleep(LINE, 32)
Key=AdeptWaitKey(LINE)

SELECT

        WHEN (Key=80) | (Key=112)                  /* =P or p */
          THEN AdeptMenuType(LINE, 61, "")         /* Pick file area */

        WHEN (Key=76) | (Key=108)                  /* =L or l */
          THEN AdeptMenuType(LINE, 78, "")         /* List files in area */

        WHEN (Key=83) | (Key=115)                  /* =S or s */
          THEN AdeptMenuType(LINE, 76, "")         /* Search files in area */

        WHEN (Key=78) | (Key=110)                  /* =N or n */
          THEN AdeptMenuType(LINE, 74, "")         /* New files in area */

        WHEN (Key==86) | (Key=118)                 /* =V or v */
          THEN AdeptMenuType(LINE, 80, "")         /* View archive */

        WHEN (Key=68) | (Key=100)                  /* =D or d */
          THEN AdeptMenuType(LINE, 85, "")         /* Download */

        WHEN (Key=85) | (Key=117)                  /* =U or u */
          THEN AdeptMenuType(LINE, 90, "")         /* Upload */

        WHEN (Key=69) | (Key=101)                  /* =E or e */
          THEN AdeptMenuType(LINE, 670, "")        /* Edit tagged list */

        WHEN (Key=77) | (Key=109)                  /* =M or m */
          THEN CALL MailRoom

        WHEN (Key=27) | (Key=45)                  /* <ESC> */
          THEN CALL MainMenu

        WHEN (Key=63)                           /* =? */
          THEN AdeptShow(LINE,1,2,HELPSCRN.ASC,sS)

        WHEN (Key=71) | (Key=103)                  /* =G or g */
          THEN CALL Logoff

        WHEN Key=95                                /* =_ (underscore char) */
          THEN CALL FastBye                        /* Fast Logoff */

        OTHERWISE
          CALL NOTACMD
END

CALL FileRoom
/* End FILE Menu */

/***************************************************************************/

/* Begin MAIL Menu */
MailRoom:

AdeptCls(LINE)
Key=AdeptShow(LINE,1,2,MAILROOM.ASC,preosqdufq)

SELECT
        WHEN Key=1
          THEN AdeptMenuType(LINE, 60, "")

        WHEN Key=2
          THEN AdeptRead(LINE, 1, , 1)

        WHEN Key=3
          THEN AdeptWrite(LINE, 1,, "")

        WHEN Key=4
          THEN CALL Offline

        WHEN Key=5
          THEN AdeptMenuType(LINE, 17)

        WHEN Key=6
          THEN AdeptMenuType(LINE, 16)

        WHEN Key=7
          THEN DO
                 AdeptPrint(LINE, "{F4I'm checking for duplicate upload packets...")
                 AdeptMenuType(LINE, 801, "C:\\OS2\\CMD.EXE /C FIXMAIL.CMD {LN")
                 AdeptMenuType(LINE, 35, "")
               END

        WHEN Key=6
          THEN DO
                 AdeptPrint(LINE, "{F4I'm checking for duplicate upload packets...")
                 AdeptMenuType(LINE, 801, "C:\\OS2\\CMD.EXE /C FIXMAIL.CMD {LN")
                 AdeptMenuType(LINE, 36, "")
               END

        WHEN Key=7
          THEN CALL FileRoom

        WHEN Key=8
          THEN CALL MainMenu

        OTHERWISE
END

AdeptSleep(LINE, 32)
Key=AdeptWaitKey(LINE)

SELECT
        WHEN (Key=80) | (Key=112)                  /* =P or p */
          THEN AdeptMenuType(LINE, 60, "")         /* Pick msg area */

        WHEN (Key=82) | (Key=114)                  /* =R or r */
          THEN AdeptMenuType(LINE, 20, "")         /* Read a msg */

        WHEN (Key=69) | (Key=101)                  /* =E or e */
          THEN AdeptWrite(LINE, 1,, "")            /* Enter a msg */

        WHEN (Key=79) | (Key=111)                  /* =O or o */
          THEN CALL OffLine

        WHEN (Key=83) | (Key=115)                  /* =S or s */
          THEN AdeptMenuType(LINE, 17)             /* Scan messages */

        WHEN (Key=81) | (Key=113)                  /* =Q or q */
          THEN AdeptMenuType(LINE, 16)             /* Quickscan messages */

        WHEN (Key=68) | (Key=100)                  /* =D or d */
          THEN DO
                 AdeptPrint(LINE, "{F4I'm checking for duplicate upload packets...")
                 AdeptMenuType(LINE, 801, "C:\\OS2\\CMD.EXE /C FIXMAIL.CMD {LN")
                 AdeptMenuType(LINE, 35, "")
               END

        WHEN (Key=85) | (Key=117)                  /* =U or u */
          THEN DO
                 AdeptPrint(LINE, "{F4I'm checking for duplicate upload packets...")
                 AdeptMenuType(LINE, 801, "C:\\OS2\\CMD.EXE /C FIXMAIL.CMD {LN")
                 AdeptMenuType(LINE, 36, "")
               END

        WHEN (Key=70) | (Key=102)                  /* =F or f */
          THEN CALL FileRoom

        WHEN (Key=27) | (Key=45)
          THEN CALL MainMenu

        WHEN (Key=71) | (Key=103)                  /* =G or g */
          THEN CALL Logoff

        WHEN (Key=63)                              /* =? */
          THEN AdeptShow(LINE,1,2,HELPSCRN.ASC,sS)

        WHEN Key=62                                /* = > */
          THEN AdeptMessage(LINE,5,,"")            /* Goto next area */

        WHEN Key=60                                /* = < */
          THEN AdeptMessage(LINE,6,,"")            /* Goto next area */


        WHEN Key=95                                /* =_ */
          THEN CALL FastBye                        /* Fast logoff */

        OTHERWISE
          CALL NOTACMD
END

CALL MailRoom
/* End MAIL Menu */

/***************************************************************************/

/* Begin OFFLINE Menu */
OffLine:

Key=AdeptShow(LINE,1,2,OFFLINE.ASC,q)

IF Key=1 THEN RETURN

AdeptSleep(LINE, 32)

Key=AdeptWaitKey(LINE)
SELECT

        WHEN (Key=85) | (Key=117)                  /* =U or u */
          THEN AdeptMenuType(LINE, 702, "")        /* Update msg areas */

        WHEN (Key=65) | (Key=97)                   /* =A or a */
          THEN AdeptMenuType(LINE, 166, "")        /* Change archiver */

        WHEN (Key=77) | (Key=109)                  /* =M or m */
          THEN AdeptMenuType(LINE, 632, "")        /* Toggle mail monitoring */

        WHEN (Key=67) | (Key=99)                   /* =C or c */
          THEN AdeptMenuType(LINE, 701, "")        /* Clear ALL tagged areas */

        WHEN (Key=70) | (Key=102)                  /* =F or =f */
          THEN AdeptMenuType(LINE, 155, "")        /* Mail format */

        WHEN (Key=84) | (Key=116)                  /* =T or t */
          THEN AdeptMenuType(LINE, 700, "")        /* Tag ALL areas */

        WHEN (Key=82) | (Key=114)                  /* =R or r */
          THEN AdeptMenuType(LINE, 704, "")        /* Reset LastRead pointers */

        WHEN (Key=27) | (Key=45)
          THEN CALL MailRoom

        OTHERWISE
          CALL NOTACMD
END

CALL OffLine
/* End OFFLINE Menu */

/***************************************************************************/

/* Begin TimeBank */
TimeBank:

AdeptShow(LINE,1,2,XBANK.ASC,X)

AdeptSleep(LINE,32)

Key=AdeptWaitKey(LINE)

SELECT
        WHEN (Key=68) | (Key=100)                /* =D or d */
          THEN AdeptMenuType(LINE, 167, "")      /* Deposit Time */

        WHEN (Key=87) | (Key=119)                /* =W or w */
          THEN AdeptMenuType(LINE, 168, "")      /* Withdraw time */

        WHEN (Key=27) | (Key=45)                 /* =<ESC> or - */
          THEN CALL MainMenu                     /* Return to MainMenu */

        OTHERWISE
          CALL NOTACMD
END

CALL TimeBank
/* End TimeBank */

/***************************************************************************/

/* Begin BULLETIN Menu */
Bulletin:

Key=AdeptShow(LINE,1,2,BULLETIN.ASC,q)

AdeptSleep(LINE, 32)
Key=AdeptWaitKey(LINE)

SELECT
        WHEN Key=49                              /* =1 */
          THEN AdeptShow(LINE,1,2,WHATSNEW.ASC,X)

        WHEN (Key=63)                            /* =? */
          THEN AdeptShow(LINE,1,2,HELPSCRN.ASC,sS)

        WHEN (Key=13) | (Key=27) | (Key=45)      /* =<ENTER>, <ESC>, or - */
          THEN CALL MainMenu

        WHEN Key=95
          THEN CALL FastBye

        OTHERWISE
          CALL NOTACMD
END

CALL Bulletin
/* End BULLETIN Menu */

/***************************************************************************/

/* Begin Your Settings Menu */
YourSettings:

AdeptShow(LINE,1,2,SETTINGS.ASC,X)

Key=AdeptWaitKey(LINE)
AdeptSleep(LINE, 32)

SELECT
        WHEN (Key=65) | (Key=97)                   /* =A or a */
          THEN AdeptMenuType(LINE,130, "")         /* Address */

        WHEN (Key=67) | (Key=99)                   /* =C or c */
          THEN AdeptMenuType(LINE,131, "")         /* Color */

        WHEN (Key=72) | (Key=104)                  /* =H or h */
          THEN AdeptMenuType(LINE,132, "")         /* High ASCii */

        WHEN (Key=73) | (Key=105)                  /* =I or i */
          THEN AdeptMenuType(LINE,133, "")         /* Input */

        WHEN (Key=76) | (Key=108)                  /* =L or l */
          THEN AdeptMenuType(LINE,134, "")         /* Screen Length */

        WHEN (Key=77) | (Key=109)                  /* =M or m */
          THEN AdeptMenuType(LINE,135, "")         /* More prompts */

        WHEN (Key=78) | (Key=110)                  /* =N or n */
          THEN AdeptMenuType(LINE,136, "")         /* Name/Handle */

        WHEN (Key=80) | (Key=112)                  /* =P or p */
          THEN AdeptMenuType(LINE,137, "")         /* Password */

        WHEN (Key=87) | (Key=119)                  /* =W or w */
          THEN AdeptMenuType(LINE,138, "")         /* Screen Width */

        WHEN Key=35                                /* =# */
          THEN AdeptMenuType(LINE,139, "")         /* Phone number */

        WHEN (Key=85) | (Key=117)                  /* =U or u */
          THEN AdeptMenuType(LINE,141, "")         /* User Record Info */

        WHEN (Key=69) | (Key=101)                  /* =E or e */
          THEN AdeptMenuType(LINE,142, "")         /* Expert/Novice */

        WHEN Key=33                                /* = ! */
          THEN AdeptMenuType(LINE,631, "")         /* Avatar */

        WHEN (Key=70) | (Key=102)                  /* =F or f */
          THEN AdeptMenuType(LINE,154, "")         /* Full Screen Editor */

        WHEN (Key=81) | (Key=113)                  /* =Q or q */
          THEN DO
                 AdeptMenuType(LINE,2, "")           /* Quit Editing */
                 CALL MainMenu
               END

        OTHERWISE
          CALL NOTACMD
END

CALL YourSettings
/* End Your Settings Menu */

/***************************************************************************/

TodaysCallers:

ansifile = 'd:\adept\text\callers.ans'
asciifile = 'd:\adept\text\callers.asc'

name = adeptgetvar(LINE,1)
node = adeptgetvar(LINE,201)
calls = adeptgetvar(LINE,30)

do 3
readdate = linein(asciifile)
end

filedate = word(readdate,4)
today = DATE('U')
a = compare(filedate,today)

if a > 0
  then do
         lineout(asciifile,'   Ŀ',1)
         lineout(asciifile,'                               Air Applewood BBS                         ')
         lineout(asciifile,'                            Callers for 'DATE("U")'                         ')
         lineout(asciifile,'   ')
         lineout(asciifile,'       Name                         Node                  No. of Calls')
         lineout(asciifile,'      ')

         lineout(ansifile,'{CS   [0;36mĿ',1)
         lineout(ansifile,'   [0;36m                           Air Applewood BBS                          ')
         lineout(ansifile,'   [0;36m                         Callers for [1;33m'DATE("U")'                         [0;36m')
         lineout(ansifile,'   [0;36m')
         lineout(ansifile,'   [1;33m    Name                         Node                  No[0;36m. [1;33mof Calls')
         lineout(ansifile,'   [0;36m   ')
       end

c1 = insert(name,'',6,36)
c2 = insert(node,c1,38,1)
c3 = insert(calls,c2,61,6)
caller = lineout(asciifile,c3)

caller = lineout(ansifile,'[0;36m'c3)

return

/***************************************************************************/

/* Begin LOGOFF Menu */
LogOff:
Key=AdeptShow(LINE,1,2,LOGOFF.ASC,gnl)

SELECT
        WHEN Key=1 THEN
          DO
            AdeptShow(LINE,1,2,SEEYA.ASC)
            CALL FastBye
          END

        WHEN Key=2
            THEN RETURN

        WHEN Key=3 THEN
            DO
              AdeptMessage(LINE, 3, 1)
              AdeptWrite(LINE, 1, 3)
              RETURN
            END

        OTHERWISE
END

AdeptSleep(LINE, 32)
Key=AdeptWaitKey(LINE)
SELECT
        WHEN (Key=71) | (Key=103)
          THEN DO
                 AdeptShow(LINE,1,2,SEEYA.ASC,S)
                 AdeptSleep(LINE, 64)
                 AdeptMenuType(LINE, 1001, "")
                 EXIT
               END

        WHEN (Key=78) | (Key=110)
            THEN RETURN

        WHEN (Key=76) | (Key=108)
            THEN DO
                   AdeptMessage(LINE, 3, 1, "")
                   AdeptWrite(LINE, 1, 3, "")
                 END

        OTHERWISE
          CALL NOTACMD
END

CALL LogOff
/* End LOGOFF Menu */

/***************************************************************************/

/* Fastbye */
Fastbye:

AdeptPrint(LINE, "{F9Click!")
AdeptMenuType(LINE, 1001, "")
EXIT

/***************************************************************************/

/* Invalid Key Command */
NOTACMD:
/* Generate a random number between 1 and 3. */
rand = RANDOM(1,3)
SELECT
        WHEN rand = 1
          THEN AdeptPrint(LINE, "{F4'{FF",D2C(KEY),"{F4' isn't a command!")

        WHEN rand = 2
          THEN AdeptPrint(LINE, "{F4You hit '{FF",D2C(KEY),"{F4'. That's not an option!")

        OTHERWISE
          AdeptPrint(LINE, "{F4You hit '{FF",D2C(KEY),"{F4', which is not a valid option.")
END

AdeptSleep(LINE, 1000)
RETURN

/* End REXX Script */
EXIT
